Skip to content

Bulks


Get bulk job details

Retrieve the details of the given bulk job as a list of bulk request results (plus some summary information).

Request

Endpoint

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/bulks/{bulk_id}

Authorization

Required role

tenants.instance.subscriptions.instance.bulk.jobs.details

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
subscription_idintegerIndex of a subscription to retrieve the bulk job details for
bulk_idintegerIndex of the bulk job to retrieve details for

Response

Status codes

ParameterDescription
200The details of the bulk job have been successfully retrieved
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No bulk history found or the path tenant / subscription doesn't exist
500Uncaught error on server side

Success

Body
ParameterTypeDescriptionConditional?
idintegerDatabase IDno
job_idstringbulk job unique IDno
titlestringBulk job titleno
kindstringBulk job type (one among addresses, address_numbers, number_ranges)no
statusstringGlobal bulk job status (success, error)no
total_countintegerTotal number of bulk job itemsno
success_countintegerTotal number of pagesno
job_itemsarrayThe list of bulk job details related to the given bulk_idno
created_onstringCreation date and timeno
updated_onstringLast modification date date and timeno
Example
json
{
  "created_on": "2025-09-05T09:42:52.475829",
  "id": 49,
  "job_id": "1757065372",
  "job_items": [
    {
      "created_on": "2025-09-05T09:42:54.954642",
      "data": {
        "full_address": "Rue de la Mer, 5, Bruxelles, Belgium",
        "number": "+3226260128"
      },
      "id": 18,
      "key": "+3226260128",
      "status": "success",
      "updated_on": "2025-09-05T09:42:54.954642"
    },
    {
      "created_on": "2025-09-05T09:42:54.955885",
      "data": {
        "full_address": "Rue de la Mer, 5, Bruxelles, Belgium",
        "number": "+3226260130"
      },
      "id": 19,
      "key": "+3226260130",
      "status": "error",
      "updated_on": "2025-09-05T09:42:54.955885"
    }
  ],
  "kind": "address_numbers",
  "status": "partial",
  "success_count": 1,
  "title": "Assign address to numbers",
  "total_count": 2,
  "updated_on": "2025-09-05T09:42:54.093276"
}
Bulk jobs
ParameterTypeDescriptionConditional?
idintegerThe database IDno
job_idstringBulk job unique IDno
kindstringBulk job type (one among addresses, address_numbers, number_ranges)no
titlestringBulk job titleno
created_onstringCreation date and timeno
updated_onstringLast modification date date and timeno
Bulk job details
ParameterTypeDescriptionConditional?
idintegerThe database IDno
keystringThe bulk job keyno
statusstringThe request status (success, error)no
dataarrayThe data from the original requestno
created_onstringCreation date and timeno
updated_onstringLast modification date date and timeno

Download Bulk Template

Download Bulk Template as CSV format.

Request

Endpoint

POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/downloads/bulk_template

Authorization

Required role

tenants.instance.subscriptions.instance.downloads.bulk_template

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
subscription_idintegerIndex of a subscription to retrieve the bulk job details for

URL/Query parameters

N/A

Body
ParameterTypeDescriptionRequired
formatstringThe file format (csv).yes
filenamestringThe file name. If not provided a default file name will be autogenerated.no
kindstringThe kind of bulk template to be downloaded (one among addresses, address_numbers, number_ranges, msusers).yes

Response

The API returns a different response based on CSV format.

Status codes

ParameterDescription
200The bulk template has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404The group doesn't exist
500Uncatched error on server side

Success

Body format=csv kind=addresses

The API directly returns the CSV file as a downloadable attachment. See csv header for details.

CSV Header

city, country, isoCode, number, postalCode, state, street.

Example

Headers

code
Content-Type: text/csv; charset=utf-8
Content-Disposition: attachment; filename="addresses_bulk_template.csv"

Body (binary content)

code
city,country,isoCode,number,postalCode,state,street